/* ------------------------------------------------------------------------------------------- */
/* Main */
.totsum {    
    width: 100%;
    height: 100%;
}

.totsum_out {
    margin: 10px;
    width: calc(100% - 20px);
    height: 95%;
}

/* ------------------------------------------------------------------------------------------- */
/* Header */
.totsum_head {
    margin: 10px;

    width: calc(100% - 20px);
    height: 50px;

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;
}

.totsum_head_grd1 {
    display: grid;
    grid-template-columns: 
        10px 80px 5px   /* Refresh */
        80px 15px 15px 5px   /* 매수/매도 */
        40px 80px 80px 5px   /* 총액 */
        
        40px 90px 90px 5px   /* 누적금액 */

        70px 80px 5px   /* 손익총액 */
        40px 20px 5px   /* 완료 */
        70px 70px 5px   /* 완료총액 */
        70px 70px 5px   /* 완료수익 */
        150px            /* N_COST / N_INV */
        ;

    column-gap: 10px;
}

#id_excel_totsum {
    margin-top: 10px;
}


/* ------------------------------------------------------------------------------------------- */
/* Main */
.totsum_main {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);
}

.totsum_main_grd1 { 
    margin-bottom: 10px;

    /* width: 100%; */

    height: calc(100% - 10px);

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

.totsum_main_tbl_out {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);

    background-color: var(--color-back-box1);

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

/* .totsum_main_tbl tbody tr td {
    cursor: none;
} */

/* .totsum_main_tbl .con_E {
    cursor: pointer;
} */

/* ---------------------------------------------- */

.totsum_main_tbl thead tr th svg {
    position: absolute;
    
    cursor: pointer;
    fill : var(--color-updown);
    
    width: 10px;
    margin-left: 3px;    

    border: none;
}

.totsum_main_tbl thead tr th .search-input {      
    margin: auto;
    width: 90%;
    font-size: 12px;
    font-weight: 700;

    text-align: left;    
    
    background-color: var(--color-back-search);

    /* padding-left: 14px;     */
    padding-left: 1px;    
    border: none;
    outline: none;
}

.totsum_main_tbl thead tr th input::placeholder {    
    color: var(--color-font-search2);
}

.totsum_main_tbl thead .col_Chk,
.totsum_main_tbl thead .col_No {
    text-align: left;
    padding-left: 5px;
}

.totsum_main_tbl thead .col_YN {
    text-align: center;
}

.totsum_main_tbl thead .sortStr {
    text-align: left;
    padding-left: 7px;
}

.totsum_main_tbl .col_Name {
    width: 150px;
}

.totsum_main_tbl thead tr .col_Chk svg {
    margin-top: 4px;
}

.totsum_main_tbl thead tr .col_Name .search-input,
.totsum_main_tbl thead tr .col_DT .search-input {
    width: 80%;
}

.totsum_main_tbl thead tr .col_Name svg,
.totsum_main_tbl thead tr .col_DT svg {
    margin-top: 7px;
}

.totsum_main_tbl tbody .col_Dept {
    font-size: 9px;
    padding-left: 5px;
}

/* ------------------------------------------------------------------------------------------- */
#id_spn_totsum_exg01 {
    text-align: right;
}

#id_spn_totsum_cost01,
#id_spn_totsum_inve01,
#id_spn_totsum_earn01,
#id_spn_totsum_avg01 {
    text-align: right;
}

.totsum_main_tbl tbody .col_080 {
    text-align: center;
}

.totsum_main_tbl tbody .col_DT_TM {
    font-size: 12px;
}

.totsum_main_tbl tbody .col_DT {
    font-size: 12px;
    font-weight: 700;
}

.totsum_main_tbl tbody .col_Cha {
    font-size: 11px;
    font-weight: 700;
}

.totsum_main_tbl tbody .col_PM {
    font-size: 11px;
    font-weight: 700;
}

.totsum_main_tbl tbody .col_Numbs2 {
    font-size: 11px;
    font-weight: 600;
}

.totsum_main_tbl tbody .col_Costs {
    font-size: 11px;
    font-weight: 600;
}

.totsum_main_tbl .col_Costs {
    width: 65px;
}


#id_spn_totsum_spn02,
#id_spn_totsum_spn05 {
    color: var(--color-blue1);
    /* text-align: center; */
}

#id_spn_totsum_spn22,
#id_spn_totsum_spn23 {
    color: var(--color-yellow1);
    /* text-align: center; */
}

#id_spn_totsum_spn03,
#id_spn_totsum_spn06 {
    color: var(--color-red4);
    /* text-align: center; */
}

#id_spn_totsum_spn12,
#id_spn_totsum_spn14,
#id_spn_totsum_spn16 {
    color: var(--color-red4);    
}

.totsum_main_tbl .col_logic {    
    width: 30px;
}

.totsum_main_tbl tbody .col_logic {    
    font-size: 11px;
    font-weight: 700;
}

.totsum_main_tbl tbody .col_yellow {
    color: var(--color-yellow1);
}

.totsum_main_tbl tbody .col_red {
    color: var(--color-red5);
}

.totsum_main_tbl tbody .col_purple {
    color: var(--color-purple2);
}

.totsum_main_tbl tbody .col_WanR {
    color: var(--color-bord3);
    font-size: 12px;
    font-weight: 700;
}

.totsum_main_tbl .col_INV {
    width: 30px;
    text-align: center;
}

.totsum_main_tbl tbody .col_INV {
    font-size: 11px;
    font-weight: 700;
    color: var(--color-blue2);
}

.totsum_main_tbl tbody .col_Mcha {
    background-color: var(--color-blue7);
    font-size: 11px;
    font-weight: 700;
}

.totsum_main_tbl .col_STB,
.totsum_main_tbl .col_STP {
    width: 28px;
}

.totsum_main_tbl tbody .col_STB,
.totsum_main_tbl tbody .col_STP {
    font-size: 12px;
    font-weight: 900;
    text-align: center;
}

.totsum_main_tbl tbody .col_Proc {
    font-size: 10px;
    font-weight: 700;
}

/* ------------------------------------------------------------------------------------------- */
.totsum_main_tbl th:first-child { 
    position: sticky; 
    left: 0px;
    background-color: var(--color-back-tbl2);
    /* z-index: 2; */
}

.totsum_main_tbl td:first-child { 
    position: sticky; 
    left: 0px;
    background-color: var(--color-back-tbl1);
    /* z-index: 2; */
}

.totsum_main_tbl th:nth-child(2) { 
    position: sticky; 
    left: 35px;
    background-color: var(--color-back-tbl2);
    /* z-index: 2; */
}

.totsum_main_tbl td:nth-child(2) { 
    position: sticky; 
    left: 35px;
    background-color: var(--color-back-tbl1);
    /* z-index: 2; */
}

.totsum_main_tbl th:nth-child(3) { 
    position: sticky; 
    left: 80px;
    /* background-color: var(--color-back-tbl2); */
    /* z-index: 2; */
}

.totsum_main_tbl td:nth-child(3) { 
    position: sticky; 
    left: 80px;
    /* background-color: var(--color-back-tbl1); */
    /* z-index: 2; */
}


/* .totsum_main_tbl th {
    z-index: 3;
}

.totsum_main_tbl td {
    z-index: 3;
} */
/* ------------------------------------------------------------------------------------------- */